Bug 124100 - RAID0 disk reads slow sil 3114
RAID0 disk reads slow sil 3114
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-23 23:15 EDT by Michael Ricks
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-24 00:46:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Ricks 2004-05-23 23:15:39 EDT
Description of problem:
Disk reads slow with sil 3114 bios ver 5.0.35 
hard drives are set at the hardware level
SATA(only)is enabled in mo/bo bios,all RAID arrays are configured
through disk druid. When benchmarking RAID0 arrays with hdparm results
show slow performance 75MB/sec to be exact this is a 25% loss in
performance compared to RedHat 9.0 using Silicon Image beta drivers
dated 08/03
Have re-formated twice w/fresh installs results are always same 
when going back to RedHat 9.0 disk reads are 100MB/sec -(RAID0)  


Version-Release number of selected component (if applicable):


How reproducible:Always 


Steps to Reproduce:
1.hdparm -t /dev/mdx
2.
3.
  
Actual results:


Expected results:Equal to or better than Silicon Image beta drivers
dated 08/03


Additional info:
Comment 1 Karsten Hopp 2004-05-24 05:15:57 EDT
RHL9 didn't support sil 3114. Is the Silicon Image beta driver 
binary only or is it the same one which has been added to the recent 
kernels ? 
Comment 2 Michael Ricks 2004-05-24 18:39:07 EDT
Correct RedHat 9.0 did not support silicon image 3114 chipset, the
driver in question was binary developed by silicon image a copy of
there RedHat  drivers can be downloaded from there web page but they
do not offer source code for this 
Comment 3 Arjan van de Ven 2004-06-16 05:25:27 EDT
please don't use hdparm for such benchmarks but tiobench
(http://tiobench.sourceforge.net) 
hdparm disables a bunch of valid kernel optimisations etc etc

Note You need to log in before you can comment on or make changes to this bug.